#content {
    min-height: 92vh;
    background-color: var(--main-lightblue);
}

#content #cart-section-empty, #content #cart-section-empty-hidden {
    /* min-height: 78vh; */
}

#cart-section, #cart-section-empty {
    background-color: var(--main-lightblue);
    padding-left: 20px;
    padding-right: 20px;
    opacity: 1;
    transition: all var(--animation-transition-time) ease-in-out;
    -webkit-transition: all var(--animation-transition-time) ease-in-out;
    min-height: 40vh;
    position: relative;
    z-index: 2;
}

#cart-section-empty-hidden {
    background-color: var(--main-lightblue);
    width: 100%;
    opacity: 0;
    transition: all var(--animation-transition-time) ease-in-out;
    -webkit-transition: all var(--animation-transition-time) ease-in-out;
    z-index: 1;
    padding-left: 20px;
    padding-right: 20px;
    height: 0px;
    min-height: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

#cart-section-empty-hidden.cart-fade-in {
    opacity: 1;
    min-height: 70vh !important;
    padding-top: var(--mig-section-top-pad);
    padding-bottom: var(--mig-section-btm-pad);
}

.mig-empty-cart-msg {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: left;
    min-height: 200px;
    font-size: 20px;
    padding-top: 20px;
}

.mig-empty-cart-msg button {
    z-index: 999999;
    margin-top: 30px;
}

.mig-empty-cart-msg p {
    margin-bottom: 0px;
}

#cart-section.cart-fade-out {
    opacity: 0;
    height: 0px;
    max-height: 0px;
    min-height: 0px;
    padding: 0px;
}

.cart-title-row {
    display: flex;
    align-items: center;
}

.mig-cart-product1 {
    padding-top: 40px;
}

.mig-cart-product-row {
    border-bottom: 2px solid rgba(82, 132, 164, 0.3);
    padding-bottom: 20px;
    opacity: 1;
    height: auto;
    transition: all var(--animation-transition-time) ease-in-out;
    -webkit-transition: all var(--animation-transition-time) ease-in-out;
}

.mig-cart-product-row-fade {
    opacity: 0;
    height: 0px;
    display: none;
}

.mig-cart-heading {
    font-size: 16px;
    font-weight: 300;
    line-height: 1.5;
}

.mig-cart-value {
    font-size: 18px;
    font-weight: 300;
    color: var(--main-mediumblue);
}

#cart-main-subtotal-row .mig-cart-subtotal {
    text-align: left;
}

.cart-sub-total-col {
    padding-right: 0px;
    text-align: right;
}

.mig-cart-subtotal {
    font-weight: 600;
    text-align: right;
}

#cart-sub-total-amount {
    text-align: right !important;
}

#cart-sub-total-amount {
    text-align: right;
}

.mig-cart-value-position {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.mig-cart-top-heading-padding {
    padding-bottom: 17px;
}

.mig-cart-action-links {
    display: flex;
    padding-top: 20px;
}

.mig-action-link {
    cursor: pointer;
    font-size: 16px;
    font-weight: 300;
    color: var(--main-smokeyblue);
    padding-right: 20px;
}

.mig-remove-from-cart-btn {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    height: 20px;
}

#cart-main-subtotal-row {
    margin-top: 30px;
    margin-bottom: 30px;
}

#cart-main-subtotal-row-mobile {
    display: none;
}

.cart-footer-icon-wrapper {
    display: flex;
}

.cart-footer-icon {
    background-image: url(/wp-content/uploads/cart-circle.jpg);
    background-repeat: no-repeat;
    background-position-x: center;
    height: 100px;
    display: flex;
    align-items: center;
    width: 100px;
    line-height: 1.2;
    text-align: center;
    width: 30%;
}

.cart-footer-icon div {
    background-color: var(--main-lightblue);
    padding: 10px 20px;
}

.cart-checkout-btn-bottom {
    text-align: right;
    display: flex;
    align-items: center;
    justify-content: end;
    padding-right: 0px;
}

.cart-checkout-btn-top {
    display: flex;
    justify-content: end;
    align-items: end;
}

button.mig-goto-checkout {
    min-width: 200px;
}

#cart-main-image-wrapper {
    display: flex;
    align-items: center;
}

.secure-payment-wrapper div:first-child {
    text-align: right;
    margin-right: 0px;
    padding-right: 0px;
}

.mig-cart-unitprice-caption {
    text-align: right;
    white-space: nowrap;
}

.secure-payment-wrapper div:last-child {
    text-align: right;
}

.cart-quantity-selector-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
}

.cart-quantity-selector {
    font-weight: 600;
    font-size: 30px;
    display: flex;
    border: 1px solid rgba(76, 123, 153, 0.3);
    padding: 0px;
    border-radius: 25px;
    line-height: 1;
    height: 50px;
    width: 100px;
}

.cart-quantity-input-wrapper {
    height: 50px;
    width: 70%;
    margin-top: -1px;
}

.mig-cart-quantity-arrows {
    width: 30%;
}

.mig-quantity-arrow {
    height: 25px;
    cursor: pointer;
}

.mig-quantity-arrow img {
    width: 14px;
    height: 11px;
}

.mig-quantity-arrow:first-child {
    padding-top: 6px;
}

.mig-quantity-arrow img:last-child {
    display: flex;
    justify-content: center;
    margin-top: 3px;
}

.mig-cart-quantity-col {
    text-align: center;
}

.mig-cart-quantity-input {
    width: 50px;
    padding: 2px !important;
    font-size: 18px;
    font-weight: 300;
    text-align: center;
    height: 50px !important;
    background-color: transparent !important;
    border: none !important;
    margin-top: 1px;
    color: var(--main-smokeyblue) !important;
}

.mig-cart-quantity-input:focus-visible {
    outline: none auto 0px;
    outline-color: none;
    outline-width: 0px;
}

#colophon .site-primary-footer-wrap {
    display: none !important;
}

@media screen and (max-width: 1200px) {
    .cart-footer-icon div {
        padding: 4px 10px;
    }
}

@media screen and (max-width: 991px) {

    .mig-cart-unitprice-caption, .mig-cart-quantity-col {
        text-align: left;
        padding-left: calc(var(--bs-gutter-x) * .5);
    }

    #cart-section .mig-cart-unitprice-caption {
        margin-top: 18px;
    }

    .mig-cart-subtotal, #cart-sub-total-amount {
        text-align: left;
    }

    div#cart-main-subtotal-row div.col-lg-8 {
        height: 0px;
    }

    /*#region mobile cart footer - start */

    /*#cart-main-subtotal-row {
        display: none;
    }*/

    #cart-main-subtotal-row-mobile {
        padding-top: 25px;
    }

    #cart-sub-total-amount-mobile {
        text-align: right;
        display: block;
    }

    .cart-main-subtotal-wrapper {
        display: flex;
    }

    .cart-main-sub-left {
        width: 80%;

    }

    .cart-main-sub-right {
        width: 20%;
        padding-right: 0px;
        text-align: right;
    }

    #cart-main-subtotal-row #cart-sub-total-amount {
        text-align: left !important;
    }

    .secure-payment-wrapper div:first-child {
        text-align: left;
    }

    /*#endregion mobile cart footer - start */

    .mig-cart-value-position, .cart-quantity-selector-wrapper {
        justify-content: flex-start;
        height: auto;
    }

    .mig-cart-top-heading-padding {
        padding-bottom: 0px;
        margin-top: 14px;
    }

    .cart-sub-total-col {
        padding-top: 8px;
    }

    div[id^=unit-price] {
        padding-left: calc(var(--bs-gutter-x) * .5);
    }

    .cart-checkout-btn-top {
        justify-content: flex-start;
        padding-top: 00px;
        height: 0px;
        visibility: hidden;
    }

    .cart-checkout-btn-bottom {
        justify-content: flex-start;
        padding-top: 20px;
    }

    #cart-main-image-wrapper {
        padding-bottom: 16px;
    }

    #cart-main-image {
        max-width: 250px;
        width: 185px;
    }

    .secure-payment-wrapper div:last-child {
        text-align: left;
    }

    .cart-footer-icon-wrapper {
        justify-content: flex-start;
        display: none;
    }

    .mig-cart-action-links {
        padding-top: 18px;
    }

    .mig-action-link {
        line-height: 1;
    }
}


@media screen and (max-width: 767px) {
    #content {
        min-height: 0px;
    }

    #content #cart-section-empty, #content #cart-section-empty-hidden {
        min-height: 0px;
    }
}

@media screen and (max-width: 580px) {
    .cart-footer-icon-wrapper {
        flex-direction: column;
        margin-top: 24px;
    }

    .cart-footer-icon {
        margin-bottom: 24px;
        margin-left: -20px;
    }
}